%{?nodejs_find_provides_and_requires}

%global packagename uri-js
%global enable_tests 1

Name:		nodejs-uri-js
Version:	2.1.1
Release:	1%{?dist}
Summary:	URI Type for JavaScript

License:	MIT
URL:		https://github.com/garycourt/uri-js
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
URI Type for JavaScript.


%prep
%setup -q -n package

# Create LICENSE file from end of README.md
sed '0,/^## License/d' README.md > LICENSE.md

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- This package has no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb 24 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
